Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: KDE - Plasma - crashes in multiversion (kernel)

  1. #1
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    181

    Default KDE - Plasma - crashes in multiversion (kernel)

    Hello

    I have installed new additional kernel (4.5). I have enabled multiversion (kernel) in zypper.
    Installed packages are: kernel-default, kernel-default-devel, kernel-devel

    Every time I want to use it (I chose it during booting) it says: Plasma crashes.
    KDE doesn't start.
    There is only that warning.

    Do I need something else to do to make it work?
    What to do to make it work?
    Linux 4.12.14
    openSUSE Leap 15.0 - 64 bit
    KDE Plasma 5.12.15
    KDE Framework 5.44.0
    Qt - 5.9.4

  2. #2

    Default Re: KDE - Plasma - crashes in multiversion (kernel)

    Quote Originally Posted by GazetaCypr View Post
    Every time I want to use it (I chose it during booting) it says: Plasma crashes.
    KDE doesn't start.
    There is only that warning.

    Do I need something else to do to make it work?
    What to do to make it work?
    Well, that sounds like some graphics driver issue, related to the kernel.

    What graphics card/driver are you using?
    If it's a proprietary one, you may need to reinstall it (or at least rebuild the kernel module) while running Kernel 4.5.0.

    The question is, why you want to use Kernel 4.5.0 though.
    If you don't have a problem with the standard kernel, it might be easier/better to just stick to it.
    It's often not the best idea to install/use the latest versions of software (including, or even more applying to, the kernel) just to have the latest version...

  3. #3
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    181

    Default Re: KDE - Plasma - crashes in multiversion (kernel)

    Quote Originally Posted by wolfi323 View Post
    What graphics card/driver are you using?
    I have GeForce 9300 and NVIDIA drivers from their repo.

    Quote Originally Posted by wolfi323
    If it's a proprietary one, you may need to reinstall it (or at least rebuild the kernel module) while running Kernel 4.5.0.
    How can I reinstall it while using kernel 4.5 since I can't log to KDE and to YAST?

    Quote Originally Posted by wolfi323
    The question is, why you want to use Kernel 4.5.0 though.
    I'm testing a solution to my problem. It seems it's the same what is in this post - https://forums.opensuse.org/showthre...Unresponsivnes
    I use 4.5 because I couldn't find 4.4

    thanks for helping
    Linux 4.12.14
    openSUSE Leap 15.0 - 64 bit
    KDE Plasma 5.12.15
    KDE Framework 5.44.0
    Qt - 5.9.4

  4. #4

    Default Re: KDE - Plasma - crashes in multiversion (kernel)

    Quote Originally Posted by GazetaCypr View Post
    I have GeForce 9300 and NVIDIA drivers from their repo.
    The NVIDIA driver from their repo is intended to be used with the stock openSUSE kernel...

    That said, since a while the kernel module is not included in a precompiled form any more, but compiled against the running kernel when you install it.

    Reinstalling the kmp package(s) while running Kernel 4.5 should do the trick.
    If you are using G03:
    Code:
    zypper in -f nvidia-gfxG03-kmp-default nvidia-uvm-gfxG03-kmp-default
    For G02 do this:
    Code:
    zypper in -f nvidia-gfxG02-kmp-default
    Note that the installed kernel module (and therefore the nvidia driver) will only work on Kernel 4.5 then, and not on 4.1 any more.

    Also, it's not guranteed that the nvidia driver actually does work with the latest kernel all the time, especially when using the legacy drivers (G02, G03).
    There's a reason why it's explictly NOT recommended to use Tumbleweed when relying on 3rd party drivers...

    Another (possible) option would be to remove the nvidia driver completely and stick to nouveau. That one is included in the kernel and should always work (or not, depending on your card, nouveau still does have serious problems with certain models...)

    How can I reinstall it while using kernel 4.5 since I can't log to KDE and to YAST?
    Do it in text mode, or log in to IceWM or some other simple "desktop".

    The problem here is that Plasma5 (or Qt5's QML actually) *requires* working OpenGL support. When the nvidia driver is installed, Mesa is broken (because nvidia replaces some of its libraries), so not even the software OpenGL renderer works.

  5. #5

    Default Re: KDE - Plasma - crashes in multiversion (kernel)

    PS, there's one thing I'd like to add:
    If trying to install the nvidia driver for Kernel 4.5, make sure that you also have the corresponding kernel development packages (kernel-devel, kernel-default-devel) installed, in the exact same version as the kernel.

    Otherwise it won't work.

  6. #6
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    181

    Default Re: KDE - Plasma - crashes in multiversion (kernel)

    I wasn't able to login to any mode in kernel 4.5
    So I quit testing this solution. I removed all packages with kernel 4.5

    Quote Originally Posted by wolfi323
    Another (possible) option would be to remove the nvidia driver completely and stick to nouveau.
    How to do it? If I click 'remove/delete' nvidia packages in Yasy it automatically switches to nvidia g04 version.

    And by the way, can I use G04 nvidia with my card (GeForce 9300)?

    thanks
    Linux 4.12.14
    openSUSE Leap 15.0 - 64 bit
    KDE Plasma 5.12.15
    KDE Framework 5.44.0
    Qt - 5.9.4

  7. #7

    Default Re: KDE - Plasma - crashes in multiversion (kernel)

    Quote Originally Posted by GazetaCypr View Post
    I wasn't able to login to any mode in kernel 4.5
    Hm?
    You should be able to get to text mode either by pressing Ctrl+Alt+F1, or by adding 3 to the kernel boot options.

    How to do it? If I click 'remove/delete' nvidia packages in Yasy it automatically switches to nvidia g04 version.
    ]
    Disable or remove the nvidia repo first.
    Or taboo all nvidia packages.

    And by the way, can I use G04 nvidia with my card (GeForce 9300)?
    No.
    G04 only supports the GeForce 400 series and higher, you have a GeForce 9 series card.

  8. #8
    Join Date
    Jun 2009
    Location
    Mangfall, Germany
    Posts
    1,507

    Default Re: KDE - Plasma - crashes in multiversion (kernel)

    hi,

    yfi

    when trying kernel 4.5 it crashed, 4.1 and 4.5 cannot co-exist on my installs

    when 4.5 installed and all of 4.1 removed, it booted ok (thats on 2*PCs)

    NB when 4.1 and 4.5 installed together, 4.1 booted as normal,
    could not reach the cmd line prompt when 4.5 selected,
    login: and password: reached but returned after 60 second time-out

    cheers
    =====

  9. #9

    Default Re: KDE - Plasma - crashes in multiversion (kernel)

    Quote Originally Posted by keellambert View Post
    when trying kernel 4.5 it crashed, 4.1 and 4.5 cannot co-exist on my installs
    The kernels should be able to co-exist fine, but 3rd-party, self-compiled kernel modules (like nvidia) may not...

  10. #10
    Join Date
    Jun 2009
    Location
    Mangfall, Germany
    Posts
    1,507

    Default Re: KDE - Plasma - crashes in multiversion (kernel)

    hi,

    Quote Originally Posted by wolfi323 View Post
    The kernels should be able to co-exist fine, but 3rd-party, self-compiled kernel modules (like nvidia) may not...
    Warning! Suggest kernel 4.1 NOT be removed if install is on a laptop.

    The two PCs where kernel 4.5 works ok, having remove 4.1, have mainboards A780GM and A880G using radeon driver to monitors with 1920*1080 resolution

    The laptop where only kernel 4.1 works is,

    Code:
    HP Pavilion g7 Notebook PC v: 088B110000305910000620100
    Mobo: Hewlett-Packard model: 184B v: 57.50 Bios: Insyde v: F.17 date: 11/02/2012
    Quad core AMD A8-4500M APU with Radeon HD Graphics (-MCP-) cache: 8192 KB 
    clock speeds: max: 1900 MHz 1: 1600 MHz 2: 1900 MHz 3: 1400 MHz 4: 1600 MHz
    Graphics:  Card: Advanced Micro Devices [AMD/ATI] Trinity [Radeon HD 7640G]
    Display Server: X.Org 1.17.2 drivers: ati,radeon (unloaded: fbdev,vesa) Resolution: 1600x900@60.0hz
    GLX Renderer: Gallium 0.4 on AMD ARUBA (DRM 2.42.0, LLVM 3.7.0) GLX Version: 3.0 Mesa 11.0.8 Direct Rendering: Yes
    will try on another laptop tomorrow

    cheers
    =====

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •